<?php ob_start(); ?>
<?php $mobile= $_SESSION['user_mobile'];?>
<?php $touchs= $_SESSION['user_touchs'];?>

<?php include('../_cfg/config.php'); ?>

<?php if(empty($pdocu)){$pdocu='';}?>
<?php if(empty($ptabla)){
//   $ptabla=r_fiel('docu',$pdocu,'tabla');
      $sql_gettab='select * from docu0 where docu_status!="X" and docu_codigo like "'.$pdocu.'%" order by docu_codigo';
      $res_gettab=mysql_query($sql_gettab,$link_vcrx);
      if(!mysql_error()){$ptabla=@mysql_result($res_gettab,0,'docu_tabla').'1';}
  
}?>

<?php if(empty($pidtxt) and !empty($pdocu)){$pidtxt='dl_'.$pdocu;}?>
<?php if(empty($pidtxt) and !empty($ptabla)){$pidtxt='dl_'.$ptabla;}?>
<?php if(empty($pcolu)){$pcolu=$ptabla.'_codigo,'.$ptabla.'_descri';}?>
<?php if(empty($pwhere)){$pwhere="";}?>
<?php if(empty($pclass)){$pclass="";}?>

<?php

if(mb_stristr($pcolu,','))
{
  $pvalue=substr($pcolu,0,strpos($pcolu,','));
  $poption=substr($pcolu,strpos($pcolu,',')+1);
//   if($poption==''){$pvalue=$pcolu;$poption=$pcolu;}
//   else{$pvalue=substr($pcolu,0,strpos($pcolu,','));}
}
else
{$pvalue=$pcolu; $poption=$pcolu;}


// 	if($pdatalist==2)
	$sql_list='select distinct ';
// 	if(mb_stristr('enti',$ptabla))
	$sql_list.= $pvalue.',';
	$sql_list.= $poption.',';
	$sql_list.='concat('.str_replace(',','," .",',$poption).') as datalist, ';

	if(mb_stristr('item',$ptabla))
	{
  	$sql_list.= $ptabla.'_codigov as codigov, ';
  	$sql_list.= $ptabla.'_puni as puni, ';
  	$sql_list.= $ptabla.'_pvp1 as pvp1, ';
//   	$sql_list.= 'tlla_descri as talla, ';
//   	$sql_list.= 'color_descri as color, ';
  }
    
	if(mb_stristr('item.enti',$ptabla))
	{
		$sql_list.= 'year('.$ptabla.'_lused) as fanio, ';
		$sql_list.= 'month('.$ptabla.'_lused) as fmes, ';
	}
    
	if($pdocu!='')
	{
		$sql_list.= 'year(fecha) as fanio, ';
		$sql_list.= 'month(fecha) as fmes, ';
	}
    
	$sql_list.= $ptabla.'_status as status ';

	$sql_list.=' from '.$ptabla.'0 ';
	if(mb_stristr('item',$ptabla))
	{
// 		$sql_list.= 'left join tlla0 on item_tlla=tlla_codigo ';
// 		$sql_list.= 'left join clor0 on item_clor=clor_codigo ';
	}

	$sql_list.=' where '.$ptabla.'_status!="X" ';
  if($pwhere!=""){$sql_list.='  '.$pwhere.' ';}
// 	$sql_list.=' and '.$ptabla.'_status!="I" ';

  if(!empty($pdocu))
  {$sql_list.=' and docu like "'.$pdocu.'%" ';}

	if($cfg_tipo=='cong')
	{if($pdocu!='DPU2' and $pdocu!=''){$sql_list.=' and cong="'.$_SESSION['cong_codigo'].'" ';}}


	if(mb_stristr('item.enti',$ptabla))
	{
		$lyear=strtotime('-12 month');
		$lyear=date('Y-m-'.'01',$lyear);
		$sql_list.=' and '.$ptabla.'_lused>="'.$lyear.'" ';
	}

	if($pdocu!='')
	{
		$lyear=strtotime('-12 month');
  	if(mb_stristr('DPU1.DPU2',$pdocu))
    {$lyear=strtotime('-120 month');}
		$lyear=date('Y-m-'.'01',$lyear);
		$sql_list.=' and fecha>="'.$lyear.'" ';
	}


	if($pdocu!='')
	{$sql_list.= 'group by '.$pvalue;}


	if(mb_stristr('item.enti',$ptabla))
	{
		$sql_list.=' order by fanio desc, fmes desc,'.$ptabla.'_descri';
	}	
	else
	{
		if(mb_stristr('ctas.suco.cair.fpag.cntn.vhcl.tlla.asub',$ptabla) || mb_stristr('orat.bsqj',$ptabla))
		{$sql_list.=' order by '.$ptabla.'_codigo';}	
		else
		{$sql_list.=' order by '.$poption;}
// 		{$sql_list.=' order by '.$ptabla.'_descri';}
	}
    
  if($plimit>0)
  {$sql_list.=' limit '.$plimit;}

	if(mb_stristr('item.enti',$ptabla))
	{
	}
		
	$res_list=mysql_query($sql_list,$link_vcrx);

		if(!mysql_error($link_vcrx)){$dlok=1;}
		else
		{
			$sql_list=str_replace($ptabla.'0 ',$ptabla.'00 ',$sql_list);
			$res_list=mysql_query($sql_list,$link_vcrx);
      if(!mysql_error($link_vcrx)){$dlok=1;}
			else
			{
				$sql_list=str_replace($ptabla.'00 ',$ptabla.'1 ',$sql_list);
				$sql_list=str_replace('_codigo','',$sql_list);
				$sql_list=str_replace($ptabla.'_status','status',$sql_list);
				$sql_list=str_replace('and status!="I"',$sql_list1,$sql_list);
				$res_list=mysql_query($sql_list,$link_vcrx);
				if(!mysql_error($link_vcrx)){$dlok=1;}
				else
				{
					$sql_list=str_replace($ptabla.'1 ',$ptabla.'12 ',$sql_list);
					$res_list=mysql_query($sql_list,$link_vcrx);
					if(!mysql_error($link_vcrx)){$dlok=1;}
				}
			}
		}
  

    
//   echo '<br>';
//   echo $sql_list;
//   echo '<br>';
//   echo mysql_error($link_vcrx);
?>

<span>
<datalist id="<?php echo $pidtxt; ?>" name="<?php echo $pidtxt; ?>" style="display:none; font-family:arial;">
<?php
  echo '<options>';  
	while($aso_list=mysql_fetch_assoc($res_list))
	{
		$option='';
// 		$option.='<option style="font-family:arial;" value="'.$aso_list['codigo'].'">';
		$option.='<option value="'.$aso_list[$pvalue].'">';
		$option.=$aso_list['datalist'];

//     if($ptabla=='item')
//     {$option.=' ('.$aso_list['color'].')';}

    if($ptabla=='item' and $aso_list['codigov']!='')
    {$option.=' ('.$aso_list['codigov'].')';}
//     else
//     {$option.=' ('.$aso_list['codigo'].')';}

//     if($ptabla=='item' and $aso_list['pvp1']>0)
//     {$option.=' ($'.number_format($aso_list['pvp1'],2).')';}
    
		$option.='</option>';
		echo $option;
	}	
  echo '</options>';  
?>	
</datalist>
</span>

<?php $pdatalist=0;?>
<?php $pphold='';?>
<?php $preado='';?>
<?php $pdisab='';?>
<?php $pcaption='';?>
<?php $ptabla='';?>
<?php $pdocu='';?>
<?php $pcolu='';?>
<?php $pvalue='';?>
<?php $poption='';?>
<?php $pidtxt='';?>
<?php $plong='';?>
<?php $pobj='';?>
<?php $ponblur='';?>
<?php $ponchange='';?>
<?php $pnotob='';?>
<?php $pdefa='';?>
<?php $psize='';?>
<?php $pcolu='';?>
<?php $phide=0; ?>
<?php $pexact=0; ?>
<?php $pclass='';?>
<?php $pwhere='';?>
<?php $obstart = ob_get_clean(); ?>
<?php //$obstart=alltrim($obstart); ?>
<?php $obstart = limpiahtml($obstart) ?>

<?php echo $obstart; ?>
